#include<kapp.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

#include"shell.h"

static const char * description=I18N_NOOP("The KDE Mail Checker");
static const char * VERSION="0.0.1";


int main(int argc, char *argv[])
{
	KAboutData aboutData(argv[0], I18N_NOOP("Korn"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 1999-2000, The Korn Developers");
	aboutData.addAuthor("Sirtaj Singh Kang",0, "taj@kde.org");
	aboutData.addAuthor("Cristian Tibirna",0, "tibirna@kde.org");
	aboutData.addAuthor("Kurt Granoth",0, "granoth@kde.org");
	
	KCmdLineArgs::init( argc, argv, &aboutData );
	
	KApplication *app = new KApplication();
	KornShell *korn = new KornShell( 0 );

	//app->enableSessionManagement( true );

	if( korn->init() ) {
			korn->show();
			app->exec();
	}

	delete korn;
	delete app;

	return 0;
}
